<template>
  <div class="">
    <lazy-theme-desktop-china-components-game-list-entry-component
      :active-tab="tabSelected"
    />
  </div>
</template>

<script lang="ts">
import _ from "lodash";
import { computed, defineComponent } from "vue";
import { useRoute } from "vue-router";

export default defineComponent({
  name: "Cockfight",
  setup() {
    const route = useRoute();
    const tabSelected = computed(() =>
      _.replace(
        _.replace(route.path.split("/")[1], "-", ""),
        "/",
        ""
      ).toLowerCase()
    );
    return {
      tabSelected,
    };
  },
});
</script>
